CEL: Crystal Entity Layer: iSequenceQuestRewardFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSequenceQuestRewardFactory Struct Reference

This interface is implemented by the reward that fires a sequence. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | SetDelayParameter (const char *delay)=0
| Set the delay.
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity containing the pcquest property class on which this reward will work.
virtual void | SetSequenceParameter (const char *sequence)=0
| Set the name of the sequence.

## Detailed Description

This interface is implemented by the reward that fires a sequence.

You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this reward type is 'cel.questreward.sequence'.

In XML, factories recognize the following attributes on the 'op' node:

- entity: the name of the entity containing the pcquest property class.
- entity_tag: optional tag used to find the right property class from the entity.
- sequence: the name of the sequence.
- delay: delay before we start the sequence. Default is 0.

Definition at line 1337 of file questmanager.h.

## Member Function Documentation

virtual void iSequenceQuestRewardFactory::SetDelayParameter | ( | const char * | delay | ) | `[pure virtual]`

  | Set the delay. Parameters:
  | delay | is delay or a parameter (starts with '$').

virtual void iSequenceQuestRewardFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0`
| ) | `[pure virtual]`

  | Set the name of the entity containing the pcquest property class on which this reward will work. Parameters:
  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

virtual void iSequenceQuestRewardFactory::SetSequenceParameter | ( | const char * | sequence | ) | `[pure virtual]`

  | Set the name of the sequence. Parameters:
  | sequence | is the name of the sequence or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h